| Face Engine SDK 5.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Public Types | Public Attributes | List of all members
fsdk::HumanAttributeResult Struct Reference

Unified HumanAttribute estimator output structure. More...

`#include <IHumanAttributeEstimator.h>`

## Classes
struct | BackpackEstimation
| HumanAttribute estimator backpack output structure. This structure contains the result of backpack estimation and probability scores for each possible estimation result. Probability scores are defined in [0,1] range. More...
struct | GenderEstimation
| HumanAttribute estimator gender output structure. This structure contains the result of gender estimation and probability scores for each possible estimation result. Probability scores are defined in [0,1] range. More...
struct | HatEstimation
| HumanAttribute estimator hat output structure. This structure contains the result of hat estimation and probability scores for each possible estimation result. Probability scores are defined in [0,1] range. More...
struct | OutwearColorEstimation
| HumanAttribute estimator outwear color output structure. This structure contains the result of outwear color estimation and probability scores for each possible estimation result. Probability scores are defined in [0,1] range. More...
struct | SleeveSizeEstimation
| HumanAttribute estimator sleeves size output structure. This structure contains the result of sleeves size estimation and probability scores for each possible estimation result. Probability scores are defined in [0,1] range. More...

## Public Types
enum | Gender { Gender::Female, Gender::Male, Gender::Unknown }
| HumanAttribute estimator gender output enum. This enum contains all possible estimation results. More...
enum | SleeveSize { SleeveSize::Short, SleeveSize::Long, SleeveSize::Unknown }
| HumanAttribute estimator sleeves size output enum. This enum contains all possible estimation results. More...
enum | Hat { No, Yes, Unknown }
| HumanAttribute estimator hat output enum. This enum contains all possible estimation results.
enum | Backpack { No, Yes, Unknown }
| HumanAttribute estimator backpack enum. This enum contains all possible estimation results.
enum | Color { Black, Blue, Green, Grey, Orange, Purple, Red, White, Yellow, Pink, Brown, Beige, Khaki, Multicolored, Count }
| HumanAttribute estimator color enum. This enum contains all possible estimation results.

## Public Attributes
Optional< float > | age
| Age estimation by human body. More...
Optional< GenderEstimation > | gender
| Gender estimation by human body. More...
Optional< SleeveSizeEstimation > | sleeve
| sleeve estimation ( More...
Optional< HatEstimation > | headwear
| headwear estimation ( More...
Optional< BackpackEstimation > | backpack
| backpack estimation ( More...
Optional< OutwearColorEstimation > | outwearColor
| outwear color estimation ( More...

## Detailed Description

Unified HumanAttribute estimator output structure.

## Member Enumeration Documentation

enum fsdk::HumanAttributeResult::Gender
| strong

HumanAttribute estimator gender output enum. This enum contains all possible estimation results.

Enumerator
Female | person's gender is female
Male | person's gender is male
Unknown | person's gender is unknown

enum fsdk::HumanAttributeResult::SleeveSize
| strong

HumanAttribute estimator sleeves size output enum. This enum contains all possible estimation results.

Enumerator
Short | sleeves are short
Long | sleeves are long
Unknown | sleeves state is unknown

## Member Data Documentation

Optional<float> fsdk::HumanAttributeResult::age

Age estimation by human body.

Note
  This estimation may be very different from estimation by face.

Optional<BackpackEstimation> fsdk::HumanAttributeResult::backpack

backpack estimation (

See Also
  BackpackEstimation).

Optional<GenderEstimation> fsdk::HumanAttributeResult::gender

Gender estimation by human body.

Note
  This estimation may be very different from estimation by face.

Optional<HatEstimation> fsdk::HumanAttributeResult::headwear

headwear estimation (

See Also
  HatEstimation)

Optional<OutwearColorEstimation> fsdk::HumanAttributeResult::outwearColor

outwear color estimation (

See Also
  OutwearColorEstimation).

Optional<SleeveSizeEstimation> fsdk::HumanAttributeResult::sleeve

sleeve estimation (

See Also
  SleeveSizeEstimation).

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IHumanAttributeEstimator.h